<?php 
/**
 * Plugin Name: WordPress Draugiem
 * Plugin URI: http://mediabox.lv/wordpress-draugiem/?utm_source=wordpress&utm_medium=wpplugin&utm_campaign=WordPressDraugiem&utm_content=v-1-0-0-wp-draugiem_load_widgets
 * Description: WordPress plugin for Latvian Social Network Draugiem.lv
 * Version: 1.0.0
 * Requires at least: 2.6
 * Author: Rolands Umbrovskis
 * Author URI: http://umbrovskis.com
 * License: GPL
 */



define('WPDRAUGIEMV','1.0.0'); // location general @since 1.0.0
define('WPDRAUGIEM',dirname(__FILE__)); // location general @since 1.0.0
define('WPDRAUGIEMF','wordpress-draugiem'); // location folder @since 1.0.0
define('WPDRAUGIEMI',plugins_url(WPDRAUGIEMF).'/img'); // Image location @since 1.0.0

// We will use this later ;)
/* SMC WordPress Draugiem Class for later development
* @todo make extendable class (OOP)
*/
class SMC_WordPress_Draugiem{} 

add_filter( 'plugin_row_meta', 'smc_wordpress_draugiem_set_plugin_meta', 10, 2 );


function smc_draugiem_say_content($content){
	global $post;
	if (!is_feed()) {
		$posturl = urlencode(get_permalink($post->ID));
		$posttitle = urlencode($post->post_title);
		$awesomeblog = urlencode(get_bloginfo('name'));
		return '<p class="smc_draugiem_ieteikt"><iframe height="20" width="84" frameborder="0" src="http://www.draugiem.lv/say/ext/like.php?title='.$posttitle.'&amp;url='.$posturl.'&amp;titlePrefix='.$awesomeblog.'"></iframe></p>'.$content;
	}
}
add_filter('the_content', 'smc_draugiem_say_content');


function smc_draugiem_say_head(){
	global $post;
	if(is_singular()){
		if(has_post_thumbnail($post->ID)) {
			$smc_draugiem_head_img = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ),'thumbnail');
			echo '<meta name="dr:say:img" content="'.esc_attr( $smc_draugiem_head_img[0] ).'" />';
		}
		echo '<meta name="dr:say:title" content="'.esc_attr( $post->post_title ).'" />';
	}

}
add_filter('wp_head', 'smc_draugiem_say_head',2);


add_filter('manage_posts_columns', 'smc_draugiem_ieteikt_kol');
function smc_draugiem_ieteikt_kol($columns) {
    $columns['smc_draugiem_ieteikt'] = 'Draugiem.lv/say';
    return $columns;
}

add_action('manage_posts_custom_column',  'smc_draugiem_ieteikt_kshow');
function smc_draugiem_ieteikt_kshow($name) {
    global $post;

    switch ($name) {
        case 'smc_draugiem_ieteikt':
		$posturl = urlencode(get_permalink($post->ID));
		$posttitle = urlencode($post->post_title);
		$awesomeblog = urlencode(get_bloginfo('name'));
		
		echo '<iframe height="20" width="84" frameborder="0" src="http://www.draugiem.lv/say/ext/like.php?title='.$posttitle.'&amp;url='.$posturl.'&amp;titlePrefix='.$awesomeblog.'"></iframe>';
    }
}

 